package com.zehong.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zehong.system.mapper.TWorkTaskMemberMapper;
import com.zehong.system.domain.TWorkTaskMember;
import com.zehong.system.service.ITWorkTaskMemberService;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author zehong
 * @date 2023-09-15
 */
@Service
public class TWorkTaskMemberServiceImpl implements ITWorkTaskMemberService 
{
    @Autowired
    private TWorkTaskMemberMapper tWorkTaskMemberMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    @Override
    public TWorkTaskMember selectTWorkTaskMemberById(Long id)
    {
        return tWorkTaskMemberMapper.selectTWorkTaskMemberById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tWorkTaskMember 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<TWorkTaskMember> selectTWorkTaskMemberList(TWorkTaskMember tWorkTaskMember)
    {
        return tWorkTaskMemberMapper.selectTWorkTaskMemberList(tWorkTaskMember);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param tWorkTaskMember 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertTWorkTaskMember(TWorkTaskMember tWorkTaskMember)
    {
        return tWorkTaskMemberMapper.insertTWorkTaskMember(tWorkTaskMember);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param tWorkTaskMember 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateTWorkTaskMember(TWorkTaskMember tWorkTaskMember)
    {
        return tWorkTaskMemberMapper.updateTWorkTaskMember(tWorkTaskMember);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deleteTWorkTaskMemberByIds(Long[] ids)
    {
        return tWorkTaskMemberMapper.deleteTWorkTaskMemberByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deleteTWorkTaskMemberById(Long id)
    {
        return tWorkTaskMemberMapper.deleteTWorkTaskMemberById(id);
    }
}
